Deposit via card
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/deposit/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "John Doe",
"phoneNumber": "+245XXXXXXXXX",
"currency": "eg ZAR",
"card": {
"number": "4591005500136100",
"holder": "John Doe",
"expiryMonth": "01",
"expiryYear": "2025",
"cvv": "123",
"paymentBrand": "VISA",
"customerRedirectUrl": "https://example.com"
},
"amount": 10,
"email": "john.doe@example.com",
"address": "123 Main Street",
"country": "US",
"city": "New York",
"state": "NY",
"zip": "10001",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"callbackUrl": "https://example.com",
"customerRedirectUrl": "https://example.com"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/deposit/card"
payload = {
"fullName": "John Doe",
"phoneNumber": "+245XXXXXXXXX",
"currency": "eg ZAR",
"card": {
"number": "4591005500136100",
"holder": "John Doe",
"expiryMonth": "01",
"expiryYear": "2025",
"cvv": "123",
"paymentBrand": "VISA",
"customerRedirectUrl": "https://example.com"
},
"amount": 10,
"email": "john.doe@example.com",
"address": "123 Main Street",
"country": "US",
"city": "New York",
"state": "NY",
"zip": "10001",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"callbackUrl": "https://example.com",
"customerRedirectUrl": "https://example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fullName: 'John Doe',
phoneNumber: '+245XXXXXXXXX',
currency: 'eg ZAR',
card: {
number: '4591005500136100',
holder: 'John Doe',
expiryMonth: '01',
expiryYear: '2025',
cvv: '123',
paymentBrand: 'VISA',
customerRedirectUrl: 'https://example.com'
},
amount: 10,
email: 'john.doe@example.com',
address: '123 Main Street',
country: 'US',
city: 'New York',
state: 'NY',
zip: '10001',
referenceId: '5f9b2c7b9c9d6b0017b4e6b1',
callbackUrl: 'https://example.com',
customerRedirectUrl: 'https://example.com'
})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/deposit/card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Checkout Created successfully created.",
"data": {
"id": "<string>",
"message": "<string>",
"reference_id": "<string>",
"reference_number": 123,
"customer_key": "<string>",
"redirect_url": "<string>"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}Card Deposits
Card Deposit
Customer Completed transaction using Checkout Url
POST
/
api
/
v3
/
deposit
/
card
Deposit via card
Customer completed transaction using checkout URL. This endpoint allows customers to deposit funds via card payment.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
full name
Example:
"John Doe"
Customer Phone Number
Example:
"+245XXXXXXXXX"
ZAR is currently supported
Available options:
KES, GHS, NGN, ZAR, ZAR, USD, XOF, ZMW, XAF, SLE, CDF, TZS, UGX, EGP, MWK, RWF, ETB, MZN, LSL, GNF, USDT, BTC, ETH, USDC Example:
"eg ZAR"
Card Details
Show child attributes
Show child attributes
amount to deposit
Example:
10
customer email
Example:
"john.doe@example.com"
customer address
Example:
"123 Main Street"
customer country code
Example:
"US"
customer city
Example:
"New York"
customer state
Example:
"NY"
customer zip code
Example:
"10001"
reference id
Example:
"5f9b2c7b9c9d6b0017b4e6b1"
callback url
Example:
"https://example.com"
customer redirect url
Example:
"https://example.com"
⌘I